Thredds on smartgears: it's needed to complete the provisioning

Sep 04, 2017 02:34 PM - Roberto Cirillo

Status: Closed Start date: Sep 04, 2017

Priority: Urgent Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: D4Science infrastructure upgrade to

gCube 4.6.1

  

Infrastructure: Development, Pre-Production,

Production

  

Description

We have a playbook partially configured to deploy the thredds application on a smartgears node, some configurations are still

manually modified.

The steps needed to complete the provisioning are described here: 

https://gcube.wiki.gcube-system.org/gcube/Install_and_Configure_THREDDS_Data_Server

Related issues:

Related to D4Science Infrastructure - Upgrade #9541: /gcube/preprod upgrade t... Completed Aug 29, 2017 Sep 04, 2017

History

#1 - Sep 04, 2017 02:35 PM - Roberto Cirillo

- Related to Upgrade #9541: /gcube/preprod upgrade to gCube 4.6.1 (CommonApps) added

#2 - Sep 04, 2017 03:24 PM - Roberto Cirillo

- Infrastructure Development, Pre-Production added

#3 - Sep 05, 2017 06:03 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 100

A new role that installs thredds is here: library/roles/thredds

It has been installed on thredds-d-d4s.d4science.org

#4 - Sep 08, 2017 10:07 AM - Roberto Cirillo

- % Done changed from 100 to 80

We need to install it on thredds-pre.d4science.org. Could you do it asap?

#5 - Sep 08, 2017 10:26 AM - Roberto Cirillo

- Priority changed from Normal to Urgent

#6 - Sep 08, 2017 11:50 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

The new thredds is up with the same configuration installed in dev.

Some notes:

next time, a different task for each infrastructure

The pre VM was created snapshotting the dev one, so I had to do a lot of manual work to make it working

The inventory group for the thredds_pre instance lacks the smartgears scopes. As I see that smartgears was already upgraded I did not touch

anything. The correct scopes list shoud be added, anyway
#7 - Sep 08, 2017 05:23 PM - Fabio Sinibaldi

After testing the installation I noticed an error in the configuration (my mistake in the wiki, I'm updating it right now).

In details :

inside ~/tomcat/webapps/thredds/WEB-INF/gcube-app.xml file the parameter "persistence location" needs to be set to "/data/content/thredds" instead

of "/data/content".

Please update ansible rules and apply changes to both development and preprod instances.

#8 - Sep 08, 2017 05:44 PM - Andrea Dell'Amico

Done on both the instances.

#9 - Sep 11, 2017 05:18 PM - Fabio Sinibaldi

A last step is missing in thredds environment : 

sis-geotk-plugin should be installed along with data-transfer-service dependencies. It's not in service's pom because this particular plugin is meant to

run only in thredds environments. I just modified the plugin's pom in order to make it create a jar-with-dependencies. The change will affect

tomorrow's build, so the jar will be available from tomorrow. 

Artifact coordinates are :

<groupId>org.gcube.data.transfer</groupId>

<artifactId>sis-geotk-plugin</artifactId>

#10 - Sep 14, 2017 01:59 PM - Roberto Cirillo

The url of the plugin above is the following:

http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-staging/org/gcube/data/transfer/sis-

geotk-plugin/1.0.0-4.6.1-152930/sis-geotk-plugin-1.0.0-4.6.1-152930-jar-with-dependencies.jar

#11 - Sep 14, 2017 05:45 PM - Andrea Dell'Amico

Installed on the pre instance, configured the playbook too.

#12 - Sep 15, 2017 12:06 PM - Fabio Sinibaldi

In order to transfer bigger files, temporary folder needs to be larger than usual. Expected file size ranges up to 10GB. Setting the temp folder to a

directory inside a bigger disk might be a solution.

#13 - Sep 15, 2017 01:20 PM - Andrea Dell'Amico

I moved the temporary directories of both nginx and tomcat under /data (/data/nginx_temp and /data/temp respectively). Both services has been

restarted.

#14 - Sep 26, 2017 02:33 PM - Massimiliano Assante

@fabio.sinibaldi@isti.cnr.it please close the ticket if the activity is completed

#15 - Sep 26, 2017 02:37 PM - Fabio Sinibaldi

- Status changed from Feedback to Closed

Installation is update and service up and running.
